ingres_pconnect
ingres_rollback
Ingres II Functions
PHP Manual

# ingres_query

(PHP 4 >= 4.0.2, PHP 5 <= 5.0.5, PECL ingres:1.0-1.4.3)

ingres_query — Send a SQL query to Ingres II

### Description

bool ingres_query ( string `$query` [, resource `$link` ] )

ingres_query() sends the given `query` to the Ingres server.

The query becomes part of the currently open transaction. If there is no open transaction, ingres_query() opens a new transaction. To close the transaction, you can either call ingres_commit() to commit the changes made to the database or ingres_rollback() to cancel these changes. When the script ends, any open transaction is rolled back (by calling ingres_rollback()). You can also use ingres_autocommit() before opening a new transaction to have every SQL query immediately committed.

### Parameters

`query`

  A valid SQL query (see the Ingres SQL reference guide).

  Some types of SQL queries can't be sent with this function:

  - close (see ingres_close())
  - commit (see ingres_commit())
  - connect (see ingres_connect())
  - disconnect (see ingres_close())
  - get dbevent
  - prepare to commit
  - rollback (see ingres_rollback())
  - savepoint
  - set autocommit (see ingres_autocommit())
  - all cursor related queries are unsupported
`link`

  The connection link identifier. If not specified, the last opened link is used.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 ingres_query() example

`<?php
ingres_connect($database, $user, $password);
ingres_query("select * from table");
while ($row = ingres_fetch_row()) {
echo $row[1];
echo $row[2];
}
?>`

### See Also

- ingres_fetch_array()
- ingres_fetch_object()
- ingres_fetch_row()
- ingres_commit()
- ingres_rollback()
- ingres_autocommit()

ingres_pconnect
ingres_rollback
Ingres II Functions
PHP Manual